
package de.ivu.elect.business.exchange.control;

import java.io.Serializable;

import javax.annotation.Nullable;

public class DefaultFileKonfiguration implements FileKonfiguration, Serializable {

  private static final long serialVersionUID = 1L;

  private final FileFormat fileFormat;

  @Nullable
  private String fileName;

  public DefaultFileKonfiguration(FileFormat fileFormat) {
    this.fileFormat = fileFormat;
  }

  @Override
  public FileFormat getFileFormat() {
    return fileFormat;
  }

  @Override
  @Nullable
  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }
}
